summaryrefslogtreecommitdiff
path: root/tests/uutest-1
diff options
context:
space:
mode:
Diffstat (limited to 'tests/uutest-1')
-rwxr-xr-xtests/uutest-127
1 files changed, 27 insertions, 0 deletions
diff --git a/tests/uutest-1 b/tests/uutest-1
new file mode 100755
index 0000000..59cc216
--- /dev/null
+++ b/tests/uutest-1
@@ -0,0 +1,27 @@
+#! /bin/sh
+
+trap 'rm -fr $tmpfiles' 1 2 3 15
+
+tmpfiles="test.bin test.out"
+# Make sure no files are left over.
+rm -fr $tmpfiles
+
+: ${UUDECODE=uudecode}
+${UUDECODE} $top_srcdir/tests/testdata
+result=$?
+
+if test $result -eq 0; then
+ : ${UUENCODE=uuencode}
+ ${UUENCODE} test.bin test.bin > test.out
+ result=$?
+
+ if test $result -eq 0; then
+ : ${DIFF=diff}
+ ${DIFF} $top_srcdir/tests/testdata test.out > /dev/null
+ result=$?
+ fi
+fi
+
+rm -fr $tmpfiles
+
+exit $result